Page MenuHomePhabricator

decommission db1082.eqiad.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server db1082.eqiad.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db1082

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place. (likely done by script)
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal, and run homer.
  • - remove all remaining puppet references and all host entries in the puppet repo
  • - reassign task from service owner to DC ops team member depending on site of server.

End service owner steps / Begin DC-Ops team steps:

  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: set netbox state to 'inventory' and hostname to asset tag

Related Objects

StatusSubtypeAssignedTask
ResolvedMarostegui
OpenNone
OpenJhernandez
ResolvedRobH
OpenBstorm
ResolvedBstorm
ResolvedMarostegui
ResolvedMarostegui
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedMarostegui
ResolvedRobH
ResolvedMarostegui
ResolvedMarostegui
ResolvedMarostegui
ResolvedRequestwiki_willy
ResolvedRequestCmjohnson
ResolvedRequestCmjohnson
ResolvedRequestCmjohnson
ResolvedRequestCmjohnson

Event Timeline

Marostegui changed the task status from Open to Stalled.May 4 2021, 7:17 AM
Marostegui created this task.
Marostegui moved this task from Triage to Blocked on the DBA board.

Waiting a few days to see if its replacement (db1161) works fine.

Mentioned in SAL (#wikimedia-operations) [2021-05-05T07:11:33Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1082 T281794', diff saved to https://phabricator.wikimedia.org/P15739 and previous config saved to /var/cache/conftool/dbconfig/20210505-071132-marostegui.json

Change 685317 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db1082: Disable notifications

https://gerrit.wikimedia.org/r/685317

Change 685317 merged by Marostegui:

[operations/puppet@production] db1082: Disable notifications

https://gerrit.wikimedia.org/r/685317

Change 687957 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Remove db1082 from dbctl

https://gerrit.wikimedia.org/r/687957

Change 687957 merged by Marostegui:

[operations/puppet@production] instances.yaml: Remove db1082 from dbctl

https://gerrit.wikimedia.org/r/687957

Mentioned in SAL (#wikimedia-operations) [2021-05-10T05:13:34Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db1082 from dbctl T281794', diff saved to https://phabricator.wikimedia.org/P15871 and previous config saved to /var/cache/conftool/dbconfig/20210510-051334-marostegui.json

Change 688752 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Decommission db1082

https://gerrit.wikimedia.org/r/688752

Change 688752 merged by Marostegui:

[operations/puppet@production] mariadb: Decommission db1082

https://gerrit.wikimedia.org/r/688752

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1082.eqiad.wmnet

  • db1082.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
Cmjohnson updated the task description. (Show Details)